Loading...
Searching...
No Matches
gx_engine::GxConvolver Class Reference

`#include <gx_convolver.h>`

Inheritance diagram for gx_engine::GxConvolver:

## Public Member Functions

| GxConvolver ()
bool | configure (string fname, float gain, float lgain, unsigned int delay, unsigned int ldelay, unsigned int offset, unsigned int length, unsigned int size, unsigned int bufsize, const Gainline &gainline)
bool | compute (int count, float *input1, float *input2, float *output1, float *output2)
bool | configure (string fname, float gain, unsigned int delay, unsigned int offset, unsigned int length, unsigned int size, unsigned int bufsize, const Gainline &gainline)
bool | compute (int count, float *input, float *output)
Public Member Functions inherited from gx_engine::GxConvolverBase
void | set_buffersize (unsigned int sz)
unsigned int | get_buffersize ()
void | set_samplerate (unsigned int sr)
unsigned int | get_samplerate ()
bool | checkstate ()
void | set_not_runnable ()
bool | is_runnable ()
bool | start (int policy, int priority)
void | set_sync (bool val)

## Static Public Member Functions

static void | compute_interpolation (double &fct, double &gp, unsigned int &idx, const Gainline &points, int offset)

## Private Member Functions

bool | read_sndfile (Audiofile &audio, int nchan, int samplerate, const float *gain, unsigned int *delay, unsigned int offset, unsigned int length, const Gainline &points)

## Private Attributes

gx_resample::StreamingResampler | resamp

## Additional Inherited Members

Protected Member Functions inherited from gx_engine::GxConvolverBase
void | adjust_values (unsigned int audio_size, unsigned int &count, unsigned int &offset, unsigned int &delay, unsigned int &ldelay, unsigned int &length, unsigned int &size, unsigned int &bufsize)
| GxConvolverBase ()
| ~GxConvolverBase ()
Protected Attributes inherited from gx_engine::GxConvolverBase
volatile bool | ready
bool | sync
unsigned int | buffersize
unsigned int | samplerate

## Detailed Description

Definition at line 127 of file gx_convolver.h.

## Constructor & Destructor Documentation

## GxConvolver()

gx_engine::GxConvolver::GxConvolver | ( |  | ) |

inline

Definition at line 134 of file gx_convolver.h.

## Member Function Documentation

## compute() [1/2]

bool gx_engine::GxConvolver::compute | ( | int | count,
|  | float * | input,
|  | float * | output )

## compute() [2/2]

bool gx_engine::GxConvolver::compute | ( | int | count,
|  | float * | input1,
|  | float * | input2,
|  | float * | output1,
|  | float * | output2 )

## compute_interpolation()

void gx_engine::GxConvolver::compute_interpolation | ( | double & | fct,
|  | double & | gp,
|  | unsigned int & | idx,
|  | const Gainline & | points,
|  | int | offset )

inline static

Definition at line 149 of file gx_convolver.h.

## configure() [1/2]

bool gx_engine::GxConvolver::configure | ( | string | fname,
|  | float | gain,
|  | float | lgain,
|  | unsigned int | delay,
|  | unsigned int | ldelay,
|  | unsigned int | offset,
|  | unsigned int | length,
|  | unsigned int | size,
|  | unsigned int | bufsize,
|  | const Gainline & | gainline )

## configure() [2/2]

bool gx_engine::GxConvolver::configure | ( | string | fname,
|  | float | gain,
|  | unsigned int | delay,
|  | unsigned int | offset,
|  | unsigned int | length,
|  | unsigned int | size,
|  | unsigned int | bufsize,
|  | const Gainline & | gainline )

## read_sndfile()

bool gx_engine::GxConvolver::read_sndfile | ( | Audiofile & | audio,
|  | int | nchan,
|  | int | samplerate,
|  | const float * | gain,
|  | unsigned int * | delay,
|  | unsigned int | offset,
|  | unsigned int | length,
|  | const Gainline & | points )

private

## Member Data Documentation

## resamp

gx_resample::StreamingResampler gx_engine::GxConvolver::resamp

private

Definition at line 129 of file gx_convolver.h.

Referenced by GxConvolver().

The documentation for this class was generated from the following file:

- src/headers/gx_convolver.h